@echo off

set spec_file=..\rosa-media-player.spec

rem ***** Clear variables *****
set version=
set release=

rem ***** Get version ROMP *****
for /f "tokens=2 delims=:" %%v in ('findstr /c:Version: "%spec_file%"') do (
rem 	echo v=%%v
	set "version=%%v"
)

rem ***** Get release ROMP *****
for /f "tokens=2 delims= " %%r in ('findstr /c:Release: "%spec_file%"') do (
rem	echo r=%%r
	set "release=%%r"
)

rem ***** Delete tabs *****
set version=%version:	=%
set release=%release:	=%

rem ***** Write data to header files *****
echo #define ROMP_VERSION "%version%" > src\romp_version.h
echo #define ROMP_RELEASE "%release%" > src\romp_release.h


rem cd src
rmdir /S /Q build
mkdir build
mkdir build\translations
lrelease src\rosa-media-player.pro
move /Y src\translations\*.qm build\translations\
qmake src\rosa-media-player.pro -o build\Makefile
mingw32-make -C build

rem cd ..
