@echo off

set spec_file=..\rosa-media-player.spec

rem ***** Clear variables *****
set version=
set release=

rem ***** Get version ROMP *****
for /f "tokens=2 delims=:" %%v in ('findstr /c:Version: "%spec_file%"') do (
rem 	echo v=%%v
	set "version=%%v"
)

rem ***** Get release ROMP *****
for /f "tokens=2 delims= " %%r in ('findstr /c:Release: "%spec_file%"') do (
rem	echo r=%%r
	set "release=%%r"
)

rem ***** Delete tabs *****
set version=%version:	=%
set release=%release:	=%

rem ***** Write data to header files *****
echo #define ROMP_VERSION "%version%" > src\romp_version.h
echo #define ROMP_RELEASE "%release%" > src\romp_release.h


rem cd src
rmdir /S /Q ..\..\..\bin-vs2010\romp-translations
mkdir ..\..\..\bin-vs2010\romp-translations
c:\Qt\4.8.4\bin\lrelease.exe src\rosa-media-player.pro
move /Y src\translations\*.qm ..\..\..\bin-vs2010\romp-translations\

rem cd ..
