/*  Mandriva Media Player
    Copyright (C) 2006-2008 Ricardo Villalba <rvm@escomposlinux.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _ROMPCORELIB_H_
#define _ROMPCORELIB_H_

#include "rosampcore_global.h"

#include <QtCore/QObject>

class Core;
class MplayerWindow;

class ROSAMPCORE_EXPORT RompCoreLib : public QObject
{
    Q_OBJECT
    
public:
    RompCoreLib(QWidget *parent = 0);
    ~RompCoreLib();

    Core *core() { return m_core; }
    MplayerWindow *mplayerWindow() { return m_mpw; }

private:
    Core *m_core;
    MplayerWindow *m_mpw;
};

#endif //_ROMPCORELIB_H_

